MAP_GFF_COORDS(1)

NAME
map_gff_coords - Map coordinates of GFF features from one genome to another using a Mercator multiple alignment

SYNOPSIS
map_gff_coords [options] <source genome> <source GFF file> <target genome>

DESCRIPTION
map_gff_coords from FSA 1.15.9

Map coordinates of GFF features from one genome to another using a Mercator multiple alignment.

OPTIONS

-h, --help
    show this message

-t, --type <string>
    only look at features of particular type

-D, --data <directory>
    path to map, genome and alignment files

-M, --map <directory>
    path to map and genome files

-A, --align <directory>
    path to alignment files

-L, --lazy
    warn, rather than die, if the subalignment can't be obtained

-U, --truncate
    truncate unmappable sequence (rather than skipping) and show truncated subalignment

-f, --force-entry
    if a feature can't be mapped, then add an empty entry to the GFF file (rather than skipping it entirely); implies --lazy

-e, --verbose
    report progress

PLEASE NOTE: While this program is reasonably fast if the GFF is properly ordered by chromosome and the start and end coordinates of features, it will be *very slow* if the GFF is not sorted. Assumes that the "seqid" or "name" field (the first field) of the GFF entries holds the chromosome name.

Note that the GFF specification defines coordinates to be 1-based and fully-closed, therefore representing the interval [start, end]. Conformance to this specification is assumed internally.

If requested, unmappable sequence will be truncated to the mappable portion; note that the truncation will favor the beginning of the requested sequence.

If a GFF feature is on the + strand for the source genome but the corresponding homologous region in the target genome is on the - strand, then the mapped GFF feature will be reported as on the - strand.

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.